
use "Input/Export_HS8_2010_2021", clear
preserve
	keep HS8
	duplicates drop
	tempfile HS8
	save `HS8'
restore

rename FiscalYear year
replace year = subinstr(year, "FY", "", .)
destring year, force replace
replace year = year + 2000
fillin year HS8
recode ExportsRs (.=0)
keep HS* year ExportsRs 

preserve
	use "Input/Export_HS8_2005_2009.dta", clear
	collapse (max)  ExportsRs, by(year HS8 )
	ge first = substr(HS8, 1, 4)
	ge second = substr(HS8, 5, 8)
	replace HS8 = first + "." + second 	
	drop first second
	merge m:1 HS8 using `HS8'
	keep if _m==3	
	drop _m
	tempfile moreexp
	save `moreexp'
restore



merge 1:1 HS8 year using  `moreexp'
drop _m

fillin year HS8
recode ExportsRs (.=0)

ge HS6 = substr(HS8, 1, 6)
ge HS4 = substr(HS8, 1, 4)		
ge HS2 = substr(HS8, 1, 2)

merge m:1 HS8 using "input/DDT_HS8.dta" 
drop _m

bysort HS8: egen totExp = total(ExportsRs)

drop if totExp==0
drop if year==2021	

merge m:1 year using "input/GDPdeflator.dta" 
drop if _m==2
drop _m
save "output/Data_for_analysis_8digit.dta", replace


