
use  "Output/Data_by_category", clear

replace Exports = Exports/1000000 // exports in billion USD
drop if year ==2007 
drop if year==2020

bysort reporteriso3 : ge count = _N
tab count
keep if count==72 // balanced panel
drop count


ge ExportsPak = Exports if reporteriso=="PAK"
replace Exports = . if reporteriso=="PAK"
rename Exports counterfactual


ge treated =  1 if DDT_NCH6 == "Garments"
replace treated = 2 if DDT_NCH6 =="Madeups"
replace treated = 3 if DDT_NCH6 =="Processed"
replace treated = 4 if DDT_NCH6 =="FabricYarn"
replace treated = 0 if DDT_NCH6 =="Nonelig"
replace treated = 6 if DDT_NCH6 =="Notextile"
drop if treated==6
order ExportsPak  counterfactual


collapse (mean) ExportsPak  counterfactual, by(year treated)

	ge exp2014 = ExportsPak if year==2014
	bysort treated: egen maxexp2014 = max(exp2014)
	replace ExportsPak = ExportsPak/maxexp2014*100
	drop exp2014 maxexp2014
	
	ge count2014 = counterfactual if year==2014
	bysort treated: egen maxcount2014 = max(count2014)
	replace counterfactual = counterfactual/maxcount2014*100
	drop count2014 maxcount2014


	reshape wide ExportsPak  counterfactual, i(year) j(treated)
	order year ExportsPak*
		
		twoway (connected ExportsPak0 year  , msymbol(circle_hollow) lwidth(medthick)) ///		
		(connected counterfactual0 year  	, msymbol(circle_hollow) lwidth(medthick)), ///
		title("Chapters: 50, 51, 52, 53, 54, 55, 56, 58, 59, 60, 63") ///
		legend (order(1 "Pakistan" 2 "Global") ring(0) position(11)) ///
		ytitle("Export index (base=2014)", axis(1)) xtitle("")  ///
		name(globalNonelig, replace) 	xlabel(2008(1)2019, angle(vertical)) 	///
		xline(2014.5)  ylabel(0(20)150, axis(1)) 
		graph export "output/figures/globalNoneligNC_nobars.png",  replace		
	
*======		

		twoway (connected ExportsPak1 year  , msymbol(circle_hollow) lwidth(medthick)) ///		
		(connected counterfactual1 year  	, msymbol(circle_hollow) lwidth(medthick)), ///	
		title("Chapters: 61, 62") legend (order(1 "Pakistan" 2 "Global") ring(0) position(11)) ///
		ytitle("Export index (base=2014)", axis(1)) xtitle("")  ///	
		name(globalGarments, replace)  xlabel(2008(1)2019, angle(vertical))	 	///
		xline(2014.5)  ylabel(0(20)160, axis(1))
		graph export "output/figures/globalGarmentsNC_nobar.png",  replace		
		
	
*======		


		twoway (connected ExportsPak2 year  , msymbol(circle_hollow) lwidth(medthick)) ///			
		(connected counterfactual2 year  	, msymbol(circle_hollow) lwidth(medthick)), ///			
		title("Chapters: 67, 57, 63") legend (order(1 "Pakistan" 2 "Global") ring(0) position(11)) ///
		ytitle("Export index (base=2014)", axis(1)) ///		
		xtitle("") name(globalMadeups, replace) xlabel(2008(1)2019, angle(vertical))	 	///
		xline(2014.5)   ylabel(0(20)160, axis(1)) 
		graph export "output/figures/globalMadeupsNC_nobar.png",  replace		
				
		
*======			
	
		
		twoway (connected ExportsPak3 year  , msymbol(circle_hollow) lwidth(medthick)) ///		
		(connected counterfactual3 year  	, msymbol(circle_hollow) lwidth(medthick)), ///				
		title("Chapters: 52,53, 54, 55, 56, 58, 59, 60") legend (order(1 "Pakistan" 2 "Global") ring(0) position(11)) ///
		ytitle("Export index (base=2014)", axis(1)) ///	
		name(Processed, replace) xlabel(2008(1)2019, angle(vertical))	///
		xline(2014.5)   ylabel(0(20)160, axis(1))	
		graph export "output/figures/globalProcessedNC_nobar.png",  replace		
		
*======		
	
				
		twoway (connected ExportsPak4 year  , msymbol(circle_hollow) lwidth(medthick)) ///		
		(connected counterfactual4 year  	, msymbol(circle_hollow) lwidth(medthick)), ///	
		title("Chapters: 50, 51, 52, 53, 54, 55, 56, 58, 59, 60") legend (order(1 "Pakistan" 2 "Global") ring(0) position(11)) ///
		ytitle("Export index (base=2014)", axis(1)) ///
		name(FabricYarnNC, replace) xlabel(2008(1)2019, angle(vertical))	///
		xline(2014.5)   ylabel(0(20)160, axis(1)) 
		graph export "output/figures/globalFabricYarnNC_nobar.png",  replace				
		
