
use "output/Data_for_misreporting_all_NC", clear

** top 10
keep if country=="USA" | country=="CHN" | country=="GBR" | country=="DEU" | country=="ESP" ///
	  | country=="BEL" | country=="ITA" | country=="NLD" | country=="ARE" | country=="FRA"  

	    
rename ExpvUSD value_Exp
rename ImpvUSD value_Imp

ge post = year>2015

** Analysis by treatment category for textile products
collapse (sum) value_*, by(year HS6 DDT_NCH6)

reshape long value_ , i( HS6 year) j(treatment) string


local type "Nonelig Garments Madeups Processed FabricYarn"
	foreach i of local type{
	preserve
		keep if DDT_NCH6=="`i'"
		collapse (sum) value, by(year treatment)
		
		ge val2015 = value if year==2014
		bysort treatment: egen maxvalue2015 = max(val2015)
		replace value = value/maxvalue2015
		
		twoway (connected value year if  treatment =="Exp" , sort(year) ) (connected value year if  treatment =="Imp" , sort(year)), xline(2014.5) 		legend(order(1 "Exports" 2 "Mirrored imports") size(*0.7)) xlabel(2008(1)2019, angle(vertical)) ytitle("Total value in mln USD") name(des`i', replace) legend(ring(0) position(11))
		graph export "output/figures/des_miss_`i'.png", replace
	restore
}

use "output/Data_for_misreporting_all_NC", clear

** top 10 non EU
keep if country=="USA" | country=="CHN" | country=="CAN" | country=="EGY" | country=="HKG" ///
	  | country=="KOR" | country=="LKA" | country=="TUR" | country=="ARE" | country=="ZAF" 
	    
rename ExpvUSD value_Exp
rename ImpvUSD value_Imp

ge post = year>2015

** Analysis by treatment category for textile products
collapse (sum) value_*, by(year HS6 DDT_NCH6)

reshape long value_ , i( HS6 year) j(treatment) string


local type "Nonelig"
	foreach i of local type{
	preserve
		keep if DDT_NCH6=="`i'"
		collapse (sum) value, by(year treatment)
		
		ge val2015 = value if year==2014
		bysort treatment: egen maxvalue2015 = max(val2015)
		replace value = value/maxvalue2015
		
		twoway (connected value year if  treatment =="Exp" , sort(year) ) (connected value year if  treatment =="Imp" , sort(year)), xline(2014.5) 		legend(order(1 "Exports" 2 "Mirrored imports") size(*0.7)) xlabel(2008(1)2019, angle(vertical)) ytitle("Total value in mln USD") name(des_noEU, replace) legend(ring(0) position(11))
		graph export "output/figures/des_miss_Nonelig_noEU.png", replace
	restore
}

