

use  "output/Data_for_synt_DDTCh", clear

drop if DDTCh=="Notextile"

replace Exports = Exports_noEU
replace Exports = Exports/1000000 // billion USD
drop if year==2008 | year ==2007 
drop if year==2020


drop if reporteriso3=="HKG"
bysort reporteriso3 DDTCh: ge count = _N
tab count
keep if count>=11 // only countries with data for all years
drop count
unique reporteriso3

bysort reporteriso3 DDTCh: egen tottextile = total(Exports) if DDTCh!="Notextile"
bysort DDTCh: egen tottot = total(Exports) if DDTCh!="Notextile"
ge sharetemp = tottextile/tottot
bysort reporteriso3: egen share = max(share)

tabstat Exports if reporteriso3=="PAK" , by(DDTCh) stat(sum)

global gall "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"


levelsof DDTCh, local(lDDTCh)
*local lDDTCh "Garments"
foreach i of local lDDTCh{
	preserve
	display "`i'"
	global type = "`i'"
	keep if DDTCh=="`i'"
	replace share = -share
	bysort year (share): gen order = _n
	keep if order<=40
	unique reporteriso3
	xtset countryid year
	sum countryid if reporteris =="PAK"
	global PAK = r(mean)
	
	#delimit; 
	synth   Exports  
			${gall}   ,       
			trunit($PAK) trperiod(2015) unitnames(reporteriso3) 
			mspeperiod(2009(1)2015) resultsperiod(2009(1)2019)
			keep(output/f`i'_NC)  replace;
			mat list e(V_matrix);
	#delimit cr 
	restore 
	
	if "`i'" == "Processed" {
		global position = 2
	}
	
	if "`i'" != "Processed" {
		global position = 5
	}	
	
	preserve	
	use output/f`i'_NC, clear

	twoway (line _Y_treated  _time) (line _Y_synthetic _time , lpattern(dash)), ///
	title("") name(f`i', replace)  xline(2014.5) xlabel(2009(1)2019) ///
	ytitle("Exports (bl USD)") ylabel(0(1)4) xtitle("") legend(order(1 "Pakistan" 2 "Synthetic control") ring(0) position($position)) 	
	graph export "output/figures/synt_`i'_noEU_NC.png",  replace
	
	restore
}

