
use  "output/Data_for_synt_chapters", clear

replace Exports = Exports/1000000 // billion USD
replace exptoEU = exptoEU/1000000 // billion USD
drop if year==2008 | year ==2007 
drop if year==2020
tabstat Exports if reporteriso3=="PAK" & DDTCh!="Notextile", by(year) stat(sum) 

drop if reporteriso=="HKG"
destring HS2, ge(HS2n)
ge textile = HS2n>=50 & HS2n<=63 
keep if textile==1
tabstat Exports if reporteriso3=="PAK" , by(HS2) stat(sum)

bysort reporteriso3 HS2: ge count = _N
tab count
keep if count>=11 // keep only countries with exports in all years
drop count

bysort reporteriso3 HS2: egen tottextile = total(Exports) if DDTCh!="Notextile"
bysort HS2: egen tottot = total(Exports) if DDTCh!="Notextile"
ge sharetemp = tottextile/tottot*100
bysort reporteriso3: egen share = max(share)

preserve
keep  if DDTCh!="Notextile"
bysort reporteriso3: keep if _n==1
gsort -share
list reporteriso3 share
restore

unique reporteriso3


tab DDTCh

global g50  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g51  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g52  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g53  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g54  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g55  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g56  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g57  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g58  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g59  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g60  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g61  "Exports(2010) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g62  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"
global g63  "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"


global a50  "0(0.5)6"
global a51  "0(0.01)0.05"
global a52  "0(0.5)6"
global a53  "0(0.1)0.6"
global a54  "0(0.1)0.6"
global a55  "0(0.1)0.6"
global a56  "0(0.5)6"
global a57  "0(0.5)4"
global a58  "0(0.01)0.05"
global a59  "0(0.1)0.6"
global a60  "0(0.1)0.6"
global a61  "0(0.5)3"
global a62  "0(0.5)3"
global a63  "0(0.5)4"


bysort HS2 year: egen tottot2014 = total(Exports) if year<=2014 & reporteriso3=="PAK" 
bysort HS2: egen mtottot2014 = mean(tottot2014)
replace mtottot2014 = round(mtottot2014, .001)


levelsof HS2, local(lDDT_NCH6)
foreach i of local lDDT_NCH6{
	sum mtottot2014 if HS2=="`i'" , f
	global exp`i' = r(mean)
	display "`:display %9.3f ${exp`i'}'"
}	

tabstat mtottot2014, by(HS2)

foreach i of local lDDT_NCH6{
	preserve
	display "`i'"
	global type = "`i'"	
	keep if HS2=="`i'"
	unique reporteriso3
	replace share = -share
	bysort year (share): gen order = _n
	keep if order<=40
	xtset countryid year
	sum countryid if reporteris =="PAK"
	global PAK = r(mean)
	
	bysort reporteriso3: ge numcountries = _N
	sum numcountries
	global max = r(max)
	drop if numcountries<$max
	drop numcountries

	#delimit; 
	synth   Exports  
			${g`i'}   ,       
			trunit($PAK) trperiod(2015) unitnames(reporteriso3) 
			mspeperiod(2009(1)2015) resultsperiod(2009(1)2019)
			keep(output/f`i'_NC_2c)  replace;
			mat list e(V_matrix);
	#delimit cr 
	restore 
	

	preserve	
	use output/f`i'_NC_2c, clear
	local yt `"$type (`=strofreal(${exp`i'},"%9.3f")' ml USD)"'
	twoway (line _Y_treated  _time) (line _Y_synthetic _time , lpattern(dash)), title("`yt'") ///
	ylabel(${a`i'}) ///
	name(f`i', replace) xline(2014.5) xlabel(2009(1)2019, angle(vertical)) ///
	ytitle("Exports (bl USD)") xtitle("") legend(off)
	
	graph export "output/figures/synt_`i'_NC_2c.png",  replace
	
	restore
}


graph combine f50 f51 f52 f53 f54 f55 f56 f57 f58 f59 f60 f61 f62 f63

* gGarments: 61-62
graph combine f61 f62,  name(fg, replace)
graph export "output/figures/synt_garments_HS2.png",  replace

*Made ups: 57,63
graph combine f57 f63, name(fm, replace)
graph export "output/figures/synt_Madeups_HS2.png",  replace

*Processed: 53 54 55 59 60
graph combine f53 f54 f55 f59 f60,  name(fp, replace)
graph export "output/figures/synt_Processed_HS2.png",  replace

graph combine f50 f52 f56 ,  name(fn, replace)
graph export "output/figures/synt_FabricYarn_HS2.png",  replace

*Nonelig: 50 51 52 56 58
graph combine f51 f58,  name(fn, replace)
graph export "output/figures/synt_NonEligible_HS2.png",  replace


**************************************************************
** weights
**************************************************************
use  "output/Data_for_synt_chapters", clear
destring HS2, ge(HS2n)
ge textile = HS2n>=50 & HS2n<=63 
keep if textile==1
levelsof HS2, local(lDDT_NCH6)
foreach i of local lDDT_NCH6{
	use output/f`i'_NC_2c, clear
	keep if _W_Weight!=0
	keep _Co_Number _W_Weight
	ge type = "`i'"
	tempfile w_`i'
	save `w_`i''
}

use `w_50'
foreach i of local lDDT_NCH6{
	append using `w_`i''
	duplicates drop
	save output/weights_HS2, replace
}
rename _W_ weight
rename _Co country
reshape wide weight, i(country) j(type) string

export excel using "Output/Tables/TableA2.xlsx", firstrow(variables) replace


**************************************************************
** summary
**************************************************************
use  "output/Data_for_synt_chapters", clear

destring HS2, ge(HS2n)
ge textile = HS2n>=50 & HS2n<=63 
keep if textile==1

preserve
	collapse (mean) Exports if year<=2014 & reporteriso3=="PAK", by(HS2 DDTCh)
	tempfile totexp
	save `totexp'
restore 

levelsof HS2, local(lDDT_NCH6)
foreach i of local lDDT_NCH6{
	preserve
	use output/f`i'_NC_2c, clear
	qui rename _Y_treated  treat
	qui rename _Y_synthetic counterfact
	qui gen gap=treat-counterfact
	egen meanbefore = mean(gap) if _time<=2014
	egen meanafter = mean(gap) if _time>2014
	ge preexport = treat if _time==2014
	collapse (mean) meanbefore meanafter preexport
	ge effect = (meanafter )/preexport*100
	ge HS2 = "`i'"
	display "`i'"
	tempfile wHS`i'
	save `wHS`i''
	restore
	
}

use `wHS50', clear
foreach i of local lDDT_NCH6{
	display "`i'"
	append using `wHS`i''
	
}

duplicates drop
merge 1:1 HS2 using `totexp'
replace Exports = Exports/1000000

bysort DDTCh: egen totexp = total(Exports)
ge temp = Exports*effect/totexp
bysort DDTCh: egen average = sum(temp)

sort HS2
keep  HS2 Exports effect average
gsort -average
export excel using "Output/Tables/TableA4.xlsx", firstrow(variables) replace
