

use  "output/Data_for_synt_DDTCh", clear

set seed 328079

drop if DDTCh=="Notextile"


replace Exports = Exports/1000000 // billion USD
replace exptoEU = exptoEU/1000000 // billion USD
drop if year==2008 | year ==2007 
drop if year==2020


drop if reporteriso3=="HKG"
bysort reporteriso3 DDTCh: ge count = _N
tab count
keep if count>=11 // only countries with data for all years
drop count
unique reporteriso3

bysort reporteriso3 DDTCh: egen tottextile = total(Exports) if DDTCh!="Notextile"
bysort DDTCh: egen tottot = total(Exports) if DDTCh!="Notextile"
ge sharetemp = tottextile/tottot
bysort reporteriso3: egen share = max(share)


global gall "Exports(2009) Exports(2010) Exports(2011) Exports(2012) Exports(2013) Exports(2014)"

tabstat Exports if reporteriso3=="PAK" , by(DDTCh) stat(sum)
*** Bias correction
levelsof DDTCh, local(lDDT_allHS6)
foreach i of local lDDT_allHS6{
	preserve
	display "`i'"
	global type = "`i'"
	keep if DDTCh=="`i'"
	replace share = -share
	bysort year (share): gen order = _n
	keep if order<=40
	unique reporteriso3
	xtset countryid year
	sum countryid if reporteris =="PAK"
	global PAK = r(mean)
	
	#delimit; 
	allsynth   Exports  
			$gall   ,       
			trunit($PAK) trperiod(2015) unitnames(reporteriso3) 
			mspeperiod(2009(1)2015) resultsperiod(2009(1)2019) bcorrect(merge  lasso) 
			keep(output/bc_`i'_NC) ) replace;
			mat list e(V_matrix);
	#delimit cr 
	restore 
	
}


levelsof DDTCh, local(lDDTCh)
foreach i of local lDDTCh{
	preserve
	display "`i'"
	global type = "`i'"
	use output/bc_`i'_NC, clear
		
		if "$type" == "Nonelig" {
			global axis "-1(0.2)0.6"
		}
			
		if "$type" == "Madeups" {
			global axis "-0.4(0.1)0.4"
		}
		
		if "$type" == "Garments" {
			global axis "-0.6(0.2)1"
		}	
		
		if "$type" == "Processed" {
			global axis "-0.3(0.05)0.3"
		}
	
	
	twoway (line gap _time,lp(solid)lw(vthin)) (line gap_bc _time,lp(solid)lw(vthin)), ///
		yline(0, lpattern(shortdash) lcolor(black)) ylabel($axis) ///
		xline(2014.5, lpattern(shortdash) lcolor(black))  xtitle("") xlabel(#10) ///
		legend(order(1 "Classic SC" 2 "Bias-corrected SC") ring(0) position(11)) ///	
		ytitle("Gap in bl USD", size(medsmall) )  name(a`i', replace)
		graph export "output/figures/bc_`i'_NC.png",  replace
	restore	
}

