

use  "output/Data_for_synt_DDTCh", clear

drop if DDTCh=="Notextile"

*Exports_noEU
replace Exports = Exports/1000000 // billion USD
replace exptoEU = exptoEU/1000000 // billion USD
drop if year==2020


drop if reporteriso3=="HKG"
bysort reporteriso3 DDTCh: ge count = _N
tab count
keep if count>=12 // only countries with data for all years
drop count
unique reporteriso3

bysort reporteriso3 DDTCh: egen tottextile = total(Exports) if DDTCh!="Notextile"
bysort DDTCh: egen tottot = total(Exports) if DDTCh!="Notextile"
ge sharetemp = tottextile/tottot
bysort reporteriso3: egen share = max(share)

tabstat Exports if reporteriso3=="PAK" , by(DDTCh) stat(sum)

global gGarments 	"Exports(2008) Exports(2009)  Exports(2011) Exports(2012)  "
global gMadeups 	"Exports(2008) Exports(2009)  Exports(2010) Exports(2011) Exports(2012)  "
global gProcessed 	"Exports(2008) Exports(2009)  Exports(2010) Exports(2011) Exports(2012)  "
global gNonelig 	"Exports(2008) Exports(2009)  Exports(2010) Exports(2011) Exports(2012)  "

levelsof DDTCh, local(lDDTCh)
*local lDDTCh "Garments"
foreach i of local lDDTCh{
	preserve
	display "`i'"
	global type = "`i'"
	keep if DDTCh=="`i'"
	replace share = -share
	bysort year (share): gen order = _n
	keep if order<=40
	unique reporteriso3
	xtset countryid year
	sum countryid if reporteris =="PAK"
	global PAK = r(mean)
	
	#delimit; 
	synth   Exports  
			${g`i'}   ,       
			trunit($PAK) trperiod(2015) unitnames(reporteriso3) 
			mspeperiod(2008(1)2015) resultsperiod(2008(1)2019)
			keep(output/f`i'_placebo_NC)  replace;
			mat list e(V_matrix);
	#delimit cr 
	restore 
	
	preserve	
	use output/f`i'_placebo_NC, clear
		

	twoway (line _Y_treated  _time) (line _Y_synthetic _time , lpattern(dash)), ///
	title("") name(f`i', replace)  xline(2014.5, lpattern(line)) xlabel(2008(1)2019) ///
	ytitle("Exports (bl USD)") ylabel(0(1)6) ///
	xtitle("") legend(order(1 "Pakistan" 2 "Synthetic control") ring(0) position(3)) xline(2012, lpattern(dash))	
	graph export "output/figures/placebodate_`i'_NC.png",  replace
	
	restore
}

